package ru.amse.baltijsky.javascheme.tree;

import ru.amse.baltijsky.javascheme.nodeshape.INodeShape;
import ru.amse.baltijsky.javascheme.nodeshape.NoShape;

public class TranslationUnitNode extends ModuleNode {
    public TranslationUnitNode() {
        super();
    }

    public TranslationUnitNode(String[] s) {
        super(s);
    }

    public TranslationUnitNode(SchemaNode parentNode, SchemaNode prevNode) {
        super(parentNode, prevNode);
    }

    public TranslationUnitNode(SchemaNode parentNode, SchemaNode prevNode, String[] s) {
        super(parentNode, prevNode, s);
    }

    public INodeShape getShape() {
        return new NoShape("");
    }

    public NodeType getNodeType() {
        return NodeType.TRANSLATION_UNIT;
    }
}
