package ru.amse.baltijsky.javascheme.tree;

import ru.amse.baltijsky.javascheme.nodeshape.ActionNodeShape;
import ru.amse.baltijsky.javascheme.nodeshape.INodeShape;

public class ThrowNode extends FlowChangeNode {
    public ThrowNode() {
        super();
    }

    public ThrowNode(SchemaNode parentNode, SchemaNode prevNode) {
        super(parentNode, prevNode);
    }

    public ThrowNode(SchemaNode parentNode, SchemaNode prevNode, String[] s) {
        super(parentNode, prevNode, s);
    }

    public ThrowNode(String[] s) {
        super(s);
    }

    public NodeType getNodeType() {
        return NodeType.THROW;
    }

    public INodeShape getShape() {
        return new ActionNodeShape(getCodeAsString());
    }
}
