package ru.amse.baltijsky.javascheme.util;

/**
 * Enumerates directions.
 */
public enum Dir {
    /**
     * Left.
     */
    L,
    /**
     * Up.
     */
    U,
    /**
     * Right.
     */
    R,
    /**
     * Down.
     */
    D;

    public static int l() {
        return L.ordinal();
    }

    public static int u() {
        return U.ordinal();
    }

    public static int r() {
        return R.ordinal();
    }

    public static int d() {
        return D.ordinal();
    }

    public static int length() {
        return values().length;
    }
}
